
QGIS Application - Feature request #16642

Add for a lot of tools the possibility of working only with selected feature

2017-05-31 11:14 AM - Julien Monticolo

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 24542

Description

Hello,

For create a buffer for example (and a lot of others processing and GDAL tools) add the possibility to work only with selected feature.

I know that a GDAL script doesn't take the selection parameter because it isn't a GIS software, but in QGIS, I think it will be a nice to have

feature.

History

#1 - 2017-05-31 11:31 AM - Giovanni Manghi

- Status changed from Open to Feedback

This option is already available in Processing, can you be more specific?

#2 - 2017-05-31 11:45 AM - Julien Monticolo

Ok, I discover again a great function of QGIS ...

But I modify my request :

Because it's a hidden feature (the user isn't aware that the tool will only work on selected feature), let the user choose between work on the whole layer or

only selected features, like in the spatial query plugin (check box).

#3 - 2017-06-23 02:10 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This is fixed in master

#4 - 2017-06-23 02:13 PM - Julien Monticolo

Thanks a lot !
